# RTP_Encoding Class Reference

`#include <rtp.h>`

Collaboration diagram for RTP_Encoding:

[legend]

## Public Member Functions

| RTP_Encoding ()
virtual | ~RTP_Encoding ()
virtual void | ApplyStringOptions (const PStringToString &)
virtual void | OnStart (RTP_Session &_rtpSession)
virtual void | OnFinish ()
virtual RTP_Session::SendReceiveStatus | OnSendData (RTP_DataFrame &frame)
virtual PBoolean | WriteData (RTP_DataFrame &frame, bool oob)
virtual PBoolean | WriteDataPDU (RTP_DataFrame &frame)
virtual void | OnWriteDataIdle ()
virtual void | SetWriteDataIdleTimer (PTimer &)
virtual RTP_Session::SendReceiveStatus | OnSendControl (RTP_ControlFrame &frame, PINDEX &len)
virtual RTP_Session::SendReceiveStatus | ReadDataPDU (RTP_DataFrame &frame)
virtual RTP_Session::SendReceiveStatus | OnReceiveData (RTP_DataFrame &frame)
virtual RTP_Session::SendReceiveStatus | OnReadTimeout (RTP_DataFrame &frame)
virtual PBoolean | ReadData (RTP_DataFrame &frame)
virtual int | WaitForPDU (PUDPSocket &dataSocket, PUDPSocket &controlSocket, const PTimeInterval &)

## Data Fields

PMutex | mutex
unsigned | refCount

## Protected Attributes

RTP_UDP * | rtpUDP

## Constructor & Destructor Documentation

RTP_Encoding::RTP_Encoding | ( |  | ) |

virtual RTP_Encoding::~RTP_Encoding | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void RTP_Encoding::ApplyStringOptions | ( | const PStringToString & |  | ) | `[inline, virtual]`

virtual void RTP_Encoding::OnFinish | ( |  | ) | `[virtual]`

virtual RTP_Session::SendReceiveStatus RTP_Encoding::OnReadTimeout | ( | RTP_DataFrame & | frame | ) | `[virtual]`

virtual RTP_Session::SendReceiveStatus RTP_Encoding::OnReceiveData | ( | RTP_DataFrame & | frame | ) | `[virtual]`

virtual RTP_Session::SendReceiveStatus RTP_Encoding::OnSendControl | ( | RTP_ControlFrame & | frame,
|  | PINDEX & | len |
| ) |  |  | `[virtual]`

virtual RTP_Session::SendReceiveStatus RTP_Encoding::OnSendData | ( | RTP_DataFrame & | frame | ) | `[virtual]`

virtual void RTP_Encoding::OnStart | ( | RTP_Session & | _rtpSession | ) | `[virtual]`

virtual void RTP_Encoding::OnWriteDataIdle | ( |  | ) | `[inline, virtual]`

virtual PBoolean RTP_Encoding::ReadData | ( | RTP_DataFrame & | frame | ) | `[virtual]`

virtual RTP_Session::SendReceiveStatus RTP_Encoding::ReadDataPDU | ( | RTP_DataFrame & | frame | ) | `[virtual]`

virtual void RTP_Encoding::SetWriteDataIdleTimer | ( | PTimer & |  | ) | `[inline, virtual]`

virtual int RTP_Encoding::WaitForPDU | ( | PUDPSocket & | dataSocket,
|  | PUDPSocket & | controlSocket,
|  | const PTimeInterval & |  |
| ) |  |  | `[virtual]`

virtual PBoolean RTP_Encoding::WriteData | ( | RTP_DataFrame & | frame,
|  | bool | oob |
| ) |  |  | `[virtual]`

virtual PBoolean RTP_Encoding::WriteDataPDU | ( | RTP_DataFrame & | frame | ) | `[virtual]`

## Field Documentation

PMutex RTP_Encoding::mutex

unsigned RTP_Encoding::refCount

RTP_UDP* RTP_Encoding::rtpUDP `[protected]`

The documentation for this class was generated from the following file:

- rtp.h